Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.beans
Class AssociatorBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          weka.gui.beans.AssociatorBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class AssociatorBeanInfo

extends java.beans.SimpleBeanInfo

BeanInfo class for the Associator wrapper bean

Version:
  $Revision: 1.3 $
Author:
  Mark Hall (mhall at cs dot waikato dot ac dot nz)

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`AssociatorBeanInfo()`

Method Summary
`java.beans.BeanDescriptor` | `getBeanDescriptor()` Get the bean descriptor for this bean
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssociatorBeanInfo

    public AssociatorBeanInfo()

Method Detail

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

  Specified by:
    `getEventSetDescriptors` in interface `java.beans.BeanInfo`
  Overrides:
    `getEventSetDescriptors` in class `java.beans.SimpleBeanInfo`

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Get the bean descriptor for this bean

  Specified by:
    `getBeanDescriptor` in interface `java.beans.BeanInfo`
  Overrides:
    `getBeanDescriptor` in class `java.beans.SimpleBeanInfo`
  Returns:
    a `BeanDescriptor` value

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD